# Class PRS_Location
extends PRS_ExchangeElement

PRS_Location describes the location of a PRS_Address.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_Location

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PRS_Location describes the location of a PRS_Address.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LocationID | string |
Description | string | The specific location.
LocationType | uint8 |
Description | string | The type of location.
ValueMap | string | 0, 1, 2, 3, 4, 254, 255
Values | string | Primary_Voice, Alternate_Voice, Fax, Email, URL, Other, Unknown

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods